<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', 'Auth\LoginController@showLoginForm');
Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');



Route::group(['middleware' => 'auth'], function(){
	// logout route
    Route::get('/logout', 'Auth\LoginController@logout');


});


Route::get('/', 'BackendController@index')->name('dashboard');

Route::prefix('backend')->group(function() {

    Route::get('/', 'BackendController@index')->name('dashboard');

    Route::prefix('preview')->group(function(){

        Route::get("create","BackendController@create")->name("preview.create");

        Route::post("store","BackendController@store")->name("preview.store");

        Route::get("stages/{token}/view","BackendPreviewController@show")->name("preview.stages.show");


       Route::post("stages/{token}/modify","BackendPreviewController@saveStages")->name("preview.stages.save");

        Route::get("stages/{token}/Variable{extension}","BackendPreviewController@variables")->where('extension', '(?:.txt)?')->name("preview.stages.variable");



       Route::get("{token}/view","BackendPreviewController@showPreview");

       Route::post("{token}/modify","BackendPreviewController@saveModification");

       Route::get("{token}/Variable{extension}","BackendPreviewController@variables")->where('extension', '(?:.txt)?');



    });




});


