<?php

namespace Modules\Common\Http\Models;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class Company extends Model
{

    protected $table = 'tbl_application_treatment_preview_companies';

    protected $primary =  'id';

    protected $fillable = ['id','name', 'storage_location', 'preview_prefix'];

    protected $visible = ['id','name', 'StorageLocation', 'preview_prefix',  'Logo', 'Copyright', 'BGUrl', 'BGColor'];

    protected $appends = ['Logo', 'Copyright', 'BGUrl', 'BGColor'];

    public function treatmentPreviews(){

      return $this->hasMany('\Modules\Common\Http\Models\TreatmentPreview', 'distributor', 'id');

    }

    public function getLogoAttribute(){

        $logo = url('themes/clearpath/images/logo.png');

        if(!empty($this->treatment_preview_logo)){
            $logo = $this->treatment_preview_logo;
        }
        return url($logo);
    }

    public function getCopyrightAttribute(){
        return Carbon::now()->year ." ". $this->treatment_preview_copyright;
    }

    public function getBGUrlAttribute(){
        return url("themes/clearpath/images/bg.png");
    }

    public function getBGColorAttribute(){
       return "#292939FF";
    }

    public static function getList(){

        return self::pluck("name", "id");

    }


}
