<?php

namespace Modules\Common\Http\Models;

use Illuminate\Database\Eloquent\Model;
use Modules\Common\Http\Models\TreatmentPreviewRecords;

class TreatmentPreview extends Model
{
    //
    protected $table = 'tbl_application_treatment_previews';
    protected $primaryKey = 'treatment_preview_id';
    protected $fillable = [
                            'treatment_preview_id',
                            'distributor_id',
                            'erp_case_number',
                            'portal_case_number',
                            'patient_name',
                            'doctor_name',
                            'created_at',
                            'updated_at'
                        ];


    public function records(){

        return $this->hasMany('\Modules\Common\Http\Models\TreatmentPreviewRecord', 'treatment_preview_id', 'treatment_preview_id');

    }

    public function Company(){

        return $this->belongsTo('\Modules\Common\Http\Models\Company', 'distributor_id' , 'id');

    }

    public function addNewPreview($data){

        $this->setRawAttributes($data);
        $this->save();

    }

    public static function getRevision($distributor_id, $erp_case_number){

        $treatment = self::where([
            "distributor_id" => $distributor_id,
             "erp_case_number"   => $erp_case_number,
        ])->orderBy("treatment_preview_id", "DESC")->first();

        if(!isset($treatment->records) || count($treatment->records) == 0 ){

            return 0;

        }

        $revision = $treatment->records()->orderBy("revision", "DESC")->first()->revision;

        return $revision;

    }

    public static function addNew($data){


        $data = $data->only(self::getFillable());

       dd($data);

    }


}
