var isEditMode = false;
var translateActive = false;
var rotateActive = false;
var isIPROpen = false;
var saveData = false;
var isModReq = false;
var noteData = "";
var teethTransforms = null;
var teethAxis = null;
var attachmentData = null;
var isModificationLoaded = false;
var recordCounter = 0;

var isBeforeSuperpositionEnabled = false;
var isAfterSuperpositionEnabled = false;
var isCollisionEnabled = false;
var isAttachmentPanelOpen = false;
var isSlitEnabled = false;
var isCutoutEnabled = false;
var isIprDisabledByUser = false;

var notesLog = "";
var intialStage = null;
var currentModel = "initial"; //initial,final
var isLoadComplete = false;
var hasGums = true;
var isTransparent = false;

var debug = true;

function Approve() {
    if (debug) console.log("Approve");
    if (!$("#approveFinal").is(':checked') || !$("#approveCutouts").is(':checked')) {
        alert("Plese confirm the checkboxes");
    } else {
        console.log("bellhop.send TxApprove");
        bellhop.send('TxApprove', {});    

        $("#popup3").hide();
        $(".button.download, .button.accept").hide();
    }
}

function Cancel() {
    if (debug) console.log("Cancel");
    $("#popup3").hide();
}

function Reject() {
    if (debug) console.log("Reject");
    bellhop.send('TxReject', {});
}

$.ajaxSetup({headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});

var gameInstance = UnityLoader.instantiate("gameContainer", baseUrl + "/assets/preview/v4.3.0/Build/Dental Viewer.json", {onProgress: UnityProgress});

function UnityProgress(gameInstance, progress)
{
    if (!gameInstance.Module)
    {
        return;
    }

    const loader = document.querySelector("#loader");

    if (!gameInstance.progress)
    {
        const progress = document.querySelector("#loader .progress");
        progress.style.display = "block";
        gameInstance.progress = progress.querySelector(".full");
        loader.querySelector(".spinner").style.display = "none";
    }

    gameInstance.progress.style.transform = `scaleX(${progress})`;

    if (progress === 1 && !gameInstance.removeTimeout)
    {
        gameInstance.removeTimeout = setTimeout(function()
        {
            loader.style.display = "none";
        }, 2000);
    }
}

function iprViewer()
{
    if (debug) console.log("iprViewer");
    gameInstance.SendMessage("UI", "OnModelPressJS", "FinalModel");
    gameInstance.SendMessage("IPRPopUpImage", "ToggleIRP");
    $(".ipr, .treatment-details, .logo-right").toggleClass("active");
}

function iprClick()
{
    if (debug) console.log("iprClick");

    isIprDisabledByUser = (isIprDisabledByUser ? false : true);

    if (!isEditMode) gameInstance.SendMessage("UI", "OnModelPressJS", "FinalModel");

    if (isIprDisabledByUser) {
        if (debug) console.log("iprClick - toggle IPR OFF");
        toggleIPROff();
    } else {
        if (debug) console.log("iprClick - toggle IPR ON");
        toggleIPROn();
    }
};

function toggleActiveFeature(side, button, forceState) {
    if (debug) console.log("toggleActiveFeature");
    if (side === 'left') {
        $(button).toggleClass('active');
    } else if (side === 'right') {
        if (forceState !== undefined) {
            if (forceState) $(button).addClass('active');
            else $(button).removeClass('active');
        } else {
            $(button).toggleClass('active');
        }
    }
}

function toggleActiveButton(side, button) {
    if (debug) console.log("toggleActiveButton");
    if (side === 'left') {
        $('.button.front').removeClass('active');
        $('.button.left').removeClass('active');
        $('.button.right').removeClass('active');
        $('.button.back').removeClass('active');
        $('.button.top').removeClass('active');
        $('.button.bottom').removeClass('active');
    
        $(button).toggleClass('active');
    } else if (side === 'right') {
        $('.block.button.translate').removeClass('active');
        $('.block.button.rotate').removeClass('active');
        $('.block.button.slit').removeClass('active');
        $('.block.button.cutout').removeClass('active');

        //handler for slits and cutouts toggle
        if (button === '.block.button.slit' && isSlitEnabled) {
            $(button).removeClass('active');
        } else if (button === '.block.button.cutout' && isCutoutEnabled) {
            $(button).removeClass('active');
        } else if (button != undefined) {
            $(button).toggleClass('active');
        }
    }
}

function handleSliderActiveButtons(action) {
    //when the "Notes" icon becomes active, disable both initial and final.
    if (action === 'modify') {
        $('#show-initial').find("i").removeClass('active-slider-button');
        $('#show-initial').removeClass('active-slider-button');

        $('#show-final').find("i").removeClass('active-slider-button');
        $('#show-final').removeClass('active-slider-button');
    }

    if (action === 'final') {
        $('#show-final').find("i").addClass('active-slider-button');
        $('#show-final').addClass('active-slider-button');

        $('#show-initial').find("i").removeClass('active-slider-button');
        $('#show-initial').removeClass('active-slider-button');

        //remove active from Notes (modified) icon
        $('.block.button.modified').removeClass('active');
    }

    if (action === 'initial') {
        $('#show-initial').find("i").addClass('active-slider-button');
        $('#show-initial').addClass('active-slider-button');

        $('#show-final').find("i").removeClass('active-slider-button');
        $('#show-final').removeClass('active-slider-button');

        //remove active from Notes (modified) icon
        $('.block.button.modified').removeClass('active');
    }

    if (action === 'none') {
        $('#show-initial').find("i").removeClass('active-slider-button');
        $('#show-initial').removeClass('active-slider-button');

        $('#show-final').find("i").removeClass('active-slider-button');
        $('#show-final').removeClass('active-slider-button');
    }
}

function gridClick()
{
    if (debug) console.log("gridClick");
    toggleActiveFeature('left','.button.grid');
    gameInstance.SendMessage("UI", "OnGridPressJS");
};

function afterSuperpositionClick()
{
    if (debug) console.log("afterSuperpositionClick");
    toggleActiveFeature('left','.button.superposition');

    isAfterSuperpositionEnabled = !isAfterSuperpositionEnabled;
    gameInstance.SendMessage("UI", "OnFinalSuperpositionPress");
};

function gingivaClick() {
    if (debug) console.log("gingivaClick");
    toggleActiveFeature('left','.button.toggleGingiva');
    toggleGingiva();
}

function checkIPR()
{
    if (debug) console.log("checkIPR");
    if (isEditMode === true)
    {
        iprClick();
    }
};

function frontClick()
{
    if (debug) console.log("frontClick");
    toggleActiveButton('left','.button.front');
    gameInstance.SendMessage("ViewPanel", "OnViewPressJS", "Front");
    toggleIPROn();
};

function rightClick()
{
    if (debug) console.log("rightClick");
    toggleActiveButton('left','.button.right');
    gameInstance.SendMessage("ViewPanel", "OnViewPressJS", "Right");
    toggleIPROn();
};

function leftClick()
{
    if (debug) console.log("leftClick");
    toggleActiveButton('left','.button.left');
    gameInstance.SendMessage("ViewPanel", "OnViewPressJS", "Left");
    toggleIPROn();
};

function backClick()
{
    if (debug) console.log("backClick");
    toggleActiveButton('left','.button.back');
    gameInstance.SendMessage("ViewPanel", "OnViewPressJS", "Back");
    toggleIPROn();
};

function bottomClick()
{
    if (debug) console.log("bottomClick");
    toggleActiveButton('left','.button.bottom');
    gameInstance.SendMessage("ViewPanel", "OnViewPressJS", "Bottom");
    toggleIPROn();
};

function topClick()
{
    if (debug) console.log("topClick");
    toggleActiveButton('left','.button.top');
    gameInstance.SendMessage("ViewPanel", "OnViewPressJS", "Top");
    toggleIPROn();
};

function enableEditMode(){
    if (debug) console.log("enableEditMode");
    $(this).addClass("active");
    gameInstance.SendMessage("DentalViewerAPI", "DisableTranslationGizmo");
    gameInstance.SendMessage("DentalViewerAPI", "DisableRotationGizmo");
    gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");

    gameInstance.SendMessage("UI", "OnModelPressJS", "FinalModel");
    gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");

    isEditMode = true;
}

function disableEditMode(){
    if (debug) console.log("disableEditMode");
    isEditMode = false;
    if($(".button.collision").hasClass("current")){
        $(".button.collision").trigger("click")
    }
    $("#note-list").removeClass("active");
}

function cubeClick()
{
    if (debug) console.log("cubeClick");
    resetCollision();
    enableEditMode()
    gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
    toggleIPROn();
    gameInstance.SendMessage("UI", "OnAttachmentPlacementTypeChangedJS", settings.viewType)
    gameInstance.SendMessage("UI", "OnAttachmentTypePressJS", "Cube");
};

function sphereClick()
{
    if (debug) console.log("sphereClick");
    resetCollision();
    enableEditMode()
    gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
    toggleIPROn();
    gameInstance.SendMessage("UI", "OnAttachmentPlacementTypeChangedJS", settings.viewType);
    gameInstance.SendMessage("UI", "OnAttachmentTypePressJS", "Sphere");
};

function cylinderClick()
{   
    if (debug) console.log("cylinderClick");
    resetCollision();
    enableEditMode()
    gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
    toggleIPROn();
    gameInstance.SendMessage("UI", "OnAttachmentPlacementTypeChangedJS", settings.viewType);
    gameInstance.SendMessage("UI", "OnAttachmentTypePressJS", "Cylinder");
};

function triangleClick()
{   
    if (debug) console.log("triangleClick");
    resetCollision();
    enableEditMode()
    gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
    toggleIPROn();
    gameInstance.SendMessage("UI", "OnAttachmentPlacementTypeChangedJS", settings.viewType);
    gameInstance.SendMessage("UI", "OnAttachmentTypePressJS", "Triangle");    
};
function ovalClick()
{   
    if (debug) console.log("ovalClick");
    resetCollision();
    enableEditMode()
    gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
    toggleIPROn();
    gameInstance.SendMessage("UI", "OnAttachmentPlacementTypeChangedJS", settings.viewType);
    gameInstance.SendMessage("UI", "OnAttachmentTypePressJS", "Oval");
};

function slitClick()
{
    if (debug) console.log("slitClick");
    if (rotateActive) {
        rotateActive = false;
        gameInstance.SendMessage("DentalViewerAPI", "DisableRotationGizmo");
    }
    if (translateActive) {
        translateActive = false;
        gameInstance.SendMessage("DentalViewerAPI", "DisableTranslationGizmo");   
    }

    if (isSlitEnabled) {
        toggleActiveButton('right','.block.button.slit');
        isSlitEnabled = false;

        gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
        toggleIPROn();
    } else {
        hideAttachments();

        resetCollision();
        
        if (!isEditMode) {
            modifiedClick();
        } else {
            enableEditMode()
        }
    
        toggleIPROn();
    
        toggleActiveButton('right','.block.button.slit');
        isSlitEnabled = true;
    
        gameInstance.SendMessage("UI", "OnDecalTypePressJS", "Slit");
    }

};

function cutoutClick()
{
    if (debug) console.log("cutoutClick");
    if (rotateActive) {
        rotateActive = false;
        gameInstance.SendMessage("DentalViewerAPI", "DisableRotationGizmo");
    }
    if (translateActive) {
        translateActive = false;
        gameInstance.SendMessage("DentalViewerAPI", "DisableTranslationGizmo");   
    }

    if (isCutoutEnabled) {
        toggleActiveButton('right','.block.button.cutout');
        isCutoutEnabled = false;

        gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
        toggleIPROn();
    } else {
        hideAttachments();

        resetCollision();
        
        if (!isEditMode) {
            modifiedClick();
        } else {
            enableEditMode()
        }

        toggleIPROn();

        toggleActiveButton('right','.block.button.cutout');

        isCutoutEnabled = true;

        gameInstance.SendMessage("UI", "OnDecalTypePressJS", "Cutout");
    }
};

function beforeClick()
{   
    if (debug) console.log("beforeClick");
    
    toggleIPROn();
    resetCollision()

    if(isEditMode || true){
        gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
        gameInstance.SendMessage("UI", "OnEditPress");

    }
    disableEditMode();
    if (isEditMode)
    {
        gameInstance.SendMessage("UI", "OnEditModelPressJS", "InitialModel");
    }
    else
    {

        gameInstance.SendMessage("UI", "OnModelPressJS", "InitialModel");
    }

    stagesSidebar.stop();
    resetInitialTeethStageTransforms();
    unloadRemovedTeethStage()
};

function afterClick()
{
    if (debug) console.log("afterClick");
    stagesSidebar.final();

    resetCollision();
    if(isEditMode || true){
        gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
        gameInstance.SendMessage("UI", "OnEditPress");
    }
    disableEditMode();
    setFinalModel();
    if (isEditMode)
    {
        gameInstance.SendMessage("UI", "OnEditModelPressJS", "FinalModel");
    }
    else
    {
        gameInstance.SendMessage("UI", "OnModelPressJS", "FinalModel");
    }
    stagesSidebar.stop();

    toggleGumsOn();
    toggleIPROn();

    handleSliderActiveButtons('final');
};

function saveIPRData(iprdata){

}

function beforeSuperpositionClick()
{
    if (debug) console.log("beforeSuperpositionClick");
    isBeforeSuperpositionEnabled = !isBeforeSuperpositionEnabled;
    gameInstance.SendMessage("UI", "OnInitialSuperpositionPress");
};

function transparentClick() {
    if (debug) console.log("transparentClick");
    toggleTransparency();
}

function modifiedClick(showNotes = false)
{
    if (debug) console.log("modifiedClick");
    $('.button.accept').hide();

    stagesSidebar.final();

    $('.block.button.modified').addClass('active');

    if (showNotes == true) $("#note-list").addClass("active");
    else $("#note-list").removeClass("active");

    toggleIPROn();
    resetCollision();
    enableEditMode();
    stagesSidebar.stop();
    gameInstance.SendMessage("DentalViewerAPI", "DisableTranslationGizmo");
    gameInstance.SendMessage("DentalViewerAPI", "DisableRotationGizmo");
    gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
    gameInstance.SendMessage("UI", "OnEditPress");
    //gameInstance.SendMessage("UI", "OnModelPressJS", "FinalModel");
    gameInstance.SendMessage("UI", "OnEditModelPressJS", "EditedModel");
    toggleIPROn();

    handleSliderActiveButtons('modify');
};

function editClick()
{
    if (debug) console.log("editClick");
    isEditMode = !isEditMode;
    gameInstance.SendMessage("UI", "OnEditPress");

    toggleIPROn();
};

function undoClick()
{
    if (debug) console.log("undoClick");
    if (rotateActive) {
        rotateActive = false;
        $('.block.button.rotate').removeClass('active');
        gameInstance.SendMessage("DentalViewerAPI", "DisableRotationGizmo");
    }
    if (translateActive) {
        translateActive = false;
        $('.block.button.translate').removeClass('active');
        gameInstance.SendMessage("DentalViewerAPI", "DisableTranslationGizmo");
    }

    hideAttachments();

    gameInstance.SendMessage("UI", "OnResetPress");

    if(isTXOnHold){
        if (debug) console.log("... show accept and submit modification buttons")
        $('.button.accept').show();
        $('.block.button.modification').show();
    }

    $('.block.button.modified').removeClass('active');
};

function processing(){
    html = '<div id="loading-wrapper">';
        html += '<div class="main-content">';
            html += '<div class="inner-container">';

            html += '</div>';
            html += '<div class="loader"></div>  ';

        html += '</div>';

    html += '</div>';
    $("#wrapper").hide();
    $("body").prepend(html);

};

function saveClick()
{
    if (debug) console.log("saveClick");
    gameInstance.SendMessage("UI", "OnSavePress");

    processing()
    $.ajax({
        type: "POST",
        url: modificationUrl,
        data: { "data": JSON.stringify(modificationData) } ,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        success: function(e){
            bellhop.send('TxClose', {});
            $("#loading-wrapper").remove();
            $("#wrapper").show();
        },
        error: function(xhr, status, msg){
            console.log(xhr.statusText,msg, xhr);
            $("#popup .box").html('<h1>Error</h1><p>'+xhr.statusText+'</p>');
            $("#popup").show();
        }
    })
};

function requestModifcation(){
    if (debug) console.log("requestModifcation");
    if (rotateActive) {
        rotateActive = false;
        gameInstance.SendMessage("DentalViewerAPI", "DisableRotationGizmo");
    }
    if (translateActive) {
        translateActive = false;
        gameInstance.SendMessage("DentalViewerAPI", "DisableTranslationGizmo");   
    }
    hideAttachments();

    toggleActiveButton('right');

    gameInstance.SendMessage("UI", "OnSavePress");

    processing();

    $.ajax({
        type: "POST",
        url: modificationUrl,
        data: { "data": JSON.stringify(modificationData) } ,
        success: function(e){
            Reject();
            $("#loading-wrapper").remove();
            $("#wrapper").show();
        },
        error: function(xhr, msg){
            console.log(xhr.statuText,msg);
            $("#popup .box").html('<h1>Error</h1><p>'+xhr.statuText+'</p>');
            $("#popup").show();
        }
    })

    $(".button.download, .button.accept").hide();
    $(".block.button.modification").hide();
}

function hasModification(){
    if (debug) console.log("hasModification");
    gameInstance.SendMessage("UI", "OnSavePress");

    var changes = checkTeethForChanges();
    if (changes) return true;

    var attachmentChanges = checkAttachmentsForChanges();
    if (attachmentChanges) return true;

    var decalChanges = checkDecalsForChanges();
    if (decalChanges) return true;

    return false;
}

function checkTeethForChanges() {
    var initialJSON = JSON.parse(initialData.transforms);
    var modJSON = JSON.parse(modificationData.transforms);

    var initialLength = initialJSON.Items.length;
    var modLength = modJSON.Items.length;

    if (initialLength !== modLength) return true;

    for (var i = 0; i < initialLength; i++) {
        var initial = initialJSON.Items[i];
        var mod = modJSON.Items[i];

        var initialToothPosition = initial.savedToothTransform.position;
        var modToothPosition = mod.savedToothTransform.position;

        iPosX = getValue(initialToothPosition.x);
        iPosY = getValue(initialToothPosition.y);
        iPosZ = getValue(initialToothPosition.z);

        fPosX = getValue(modToothPosition.x);
        fPosY = getValue(modToothPosition.y);
        fPosZ = getValue(modToothPosition.z);

        if (iPosX != fPosX || iPosY != fPosY || iPosZ != fPosZ) {
            return true;
        }

        var initialToothRotation = initial.savedToothTransform.rotation;
        var modToothRotation  = mod.savedToothTransform.rotation;

        iRotX = getValue(initialToothRotation.x);
        iRotY = getValue(initialToothRotation.y);
        iRotZ = getValue(initialToothRotation.z);
        iRotW = getValue(initialToothRotation.w);

        fRotX = getValue(modToothRotation.x);
        fRotY = getValue(modToothRotation.y);
        fRotZ = getValue(modToothRotation.z);
        fRotW = getValue(modToothRotation.w);

        if (iRotX != fRotX || iRotY != fRotY || iRotZ != fRotZ || iRotW != fRotW) {
            return true;
        }
    }
    return false;
}

function checkAttachmentsForChanges() {
    //do we have attachments? changes not present
    if ((initialData.attachment === null || initialData.attachment === '') 
        && (modificationData.attachment === null || modificationData.attachment === '')) {
            return false;
    }

    //initial no attachments, final attachments, changes present
    if ((initialData.attachment === null || initialData.attachment === '') 
        && (modificationData.attachment !== null && modificationData.attachment !== '')) {
            return true;
    }

    //initial attachments, final attachments, check if there are differences
    var initialJSON = JSON.parse(initialData.attachment);
    var modJSON = JSON.parse(modificationData.attachment);

    var initialLength = initialJSON.Items.length;
    var modLength = modJSON.Items.length;

    if (initialLength !== modLength) {
        return true;
    }

    var initialToothIdArray = new Array();
    var modToothIdArray = new Array();

    //check values
    for (var i = 0; i < initialLength; i++) {
        var attachInitial = initialJSON.Items[i];
        var attachmod = modJSON.Items[i];

        var attachInitialPosition = attachInitial.attachmentSavedTransform.position;
        var attachModPosition  = attachmod.attachmentSavedTransform.position;

        initialToothIdArray.push(attachInitial.attachedToothID);
        modToothIdArray.push(attachmod.attachedToothID);

        iPosX = getValue(attachInitialPosition.x);
        iPosY = getValue(attachInitialPosition.y);
        iPosZ = getValue(attachInitialPosition.z);

        fPosX = getValue(attachModPosition.x);
        fPosY = getValue(attachModPosition.y);
        fPosZ = getValue(attachModPosition.z);

        if (iPosX != fPosX || iPosY != fPosY || iPosZ != fPosZ) {
            return true;
        }

        var attachInitialRotation = attachInitial.attachmentSavedTransform.rotation;
        var attachModRotation  = attachmod.attachmentSavedTransform.rotation;

        iRotX = getValue(attachInitialRotation.x);
        iRotY = getValue(attachInitialRotation.y);
        iRotZ = getValue(attachInitialRotation.z);
        iRotW = getValue(attachInitialRotation.w);

        fRotX = getValue(attachModRotation.x);
        fRotY = getValue(attachModRotation.y);
        fRotZ = getValue(attachModRotation.z);
        fRotW = getValue(attachModRotation.w);

        if (iRotX != fRotX || iRotY != fRotY || iRotZ != fRotZ || iRotW != fRotW) {
            return true;
        }
    }

    //check the tooth id's are the same
    var sameTeethIds = arrayCompare(initialToothIdArray, modToothIdArray);
    if (!sameTeethIds) {
        return true;
    }

    return false;
}

function checkDecalsForChanges() {
    //do we have decals? changes not present
    if ((initialData.decalData === null || initialData.decalData === '') 
        && (modificationData.decalData === null || modificationData.decalData === '')) {
            return false;
    }

    //initial no decals, final decals, changes present
    if ((initialData.decalData === null || initialData.decalData === '') 
        && (modificationData.decalData !== null && modificationData.decalData !== '')) {
            return true;
    }

    //initial decals, final decals, check if there are differences
    var initialJSON = JSON.parse(initialData.decalData);
    var modJSON = JSON.parse(modificationData.decalData);

    var initialLength = initialJSON.Items.length;
    var modLength = modJSON.Items.length;

    if (initialLength !== modLength) {
        return true;
    }

    var initialToothIdArray = new Array();
    var modToothIdArray = new Array();

    //check values
    for (var i = 0; i < initialLength; i++) {
        var decalInitial = initialJSON.Items[i];
        var decalmod = modJSON.Items[i];

        var decalInitialPosition = decalInitial.decalSavedTransform.position;
        var decalModPosition  = decalmod.decalSavedTransform.position;

        initialToothIdArray.push(decalInitial.decaledToothID);
        modToothIdArray.push(decalmod.decaledToothID);

        iPosX = getValue(decalInitialPosition.x);
        iPosY = getValue(decalInitialPosition.y);
        iPosZ = getValue(decalInitialPosition.z);

        fPosX = getValue(decalModPosition.x);
        fPosY = getValue(decalModPosition.y);
        fPosZ = getValue(decalModPosition.z);

        if (iPosX != fPosX || iPosY != fPosY || iPosZ != fPosZ) {
            return true;
        }

        var decalInitialRotation = decalInitial.decalSavedTransform.rotation;
        var decalModRotation  = decalmod.decalSavedTransform.rotation;

        iRotX = getValue(decalInitialRotation.x);
        iRotY = getValue(decalInitialRotation.y);
        iRotZ = getValue(decalInitialRotation.z);
        iRotW = getValue(decalInitialRotation.w);

        fRotX = getValue(decalModRotation.x);
        fRotY = getValue(decalModRotation.y);
        fRotZ = getValue(decalModRotation.z);
        fRotW = getValue(decalModRotation.w);

        if (iRotX != fRotX || iRotY != fRotY || iRotZ != fRotZ || iRotW != fRotW) {
            return true;
        }
    }

    //check the tooth id's are the same
    var sameTeethIds = arrayCompare(initialToothIdArray, modToothIdArray);
    if (!sameTeethIds) {
        return true;
    }

    return false;
}

function arrayCompare(_arr1, _arr2) {
    //sort the arrays and compare their values one by one
    if (!Array.isArray(_arr1) || !Array.isArray(_arr2) || _arr1.length !== _arr2.length) {
        return false;
    }
    
    //.concat() to not mutate arguments
    const arr1 = _arr1.concat().sort();
    const arr2 = _arr2.concat().sort();
    
    for (let i = 0; i < arr1.length; i++) {
        if (arr1[i] !== arr2[i]) {
            return false;
         }
    }
    return true;
}

function getValue(val) {
    return val.toFixed(3).replace('-0', '0');
}

function approveCase()
{
    if (debug) console.log("approveCase");
    if (hasModification()) {
        $("#popup .box").html("<p>Your treatment setup has modifications.  Please open 'Notes', add any notes for the lab if needed, and click 'Submit Modifications'</p>");
        $("#popup").show();
    } else {
        $("#popup3").show();
        return false;
    }
}

function downloadClick()
{
    if (debug) console.log("downloadClick");
    gameInstance.SendMessage("UI", "OnLoadPress");
};

function collisionClick() {
    if (debug) console.log("collisionClick");

    toggleActiveFeature('right','.block.button.collision');

    if(!isEditMode){
        modifiedClick();
    }else{
        enableEditMode()
    }

    if (isCollisionEnabled) {
        isCollisionEnabled = false;
        gameInstance.SendMessage("DentalViewerAPI", "SetCollisionsVisibility", "false");
    } else {
        isCollisionEnabled = true;
        gameInstance.SendMessage("DentalViewerAPI", "SetCollisionsVisibility", "true");
    }
    toggleIPROn();
}

function resetCollision(){
    if (debug) console.log("resetCollision");
}

function beforemobileClick()
{
    if (debug) console.log("beforemobileClick");
    gameInstance.SendMessage("UI", "OnModelPressJS", "InitialModel");
    toggleIPROn();
};

function aftermobileClick()
{
    if (debug) console.log("aftermobileClick");
    gameInstance.SendMessage("UI", "OnModelPressJS", "FinalModel");
    toggleIPROn();
};

function translateClick(fromButton)
{
    if (debug) console.log("translateClick");
    if (fromButton && translateActive) {
        gameInstance.SendMessage("DentalViewerAPI", "DisableTranslationGizmo", "xyz");
        $('.block.button.translate').removeClass('active');
        translateActive = false;
    } else {
        
        $('.block.button.modified').addClass('active');

        $('.button.accept').hide();
        
        hideAttachments();
    
        toggleIPROn();

        if (!isEditMode) {
            afterClick();
            modifiedClick();
        }
    
        if (rotateActive) {
            rotateActive = false;
            gameInstance.SendMessage("DentalViewerAPI", "DisableRotationGizmo");
        }

        toggleActiveButton('right','.block.button.translate');

        if (!translateActive) translateActive = true;
        gameInstance.SendMessage("DentalViewerAPI", "EnableTranslationGizmo", "xyz");
    }
};

function rotateClick(fromButton)
{
    if (debug) console.log("rotateClick");
    if (fromButton && rotateActive) {
        gameInstance.SendMessage("DentalViewerAPI", "DisableRotationGizmo", "xyz");
        $('.block.button.rotate').removeClass('active');
        rotateActive = false;
    } else {
        $('.block.button.modified').addClass('active');

        $('.button.accept').hide();

        hideAttachments();
    
        toggleIPROn();

        if (!isEditMode) {
            afterClick();
            modifiedClick();
        }
    
        if (translateActive) {
            translateActive = false;
            gameInstance.SendMessage("DentalViewerAPI", "DisableTranslationGizmo");   
        }

        toggleActiveButton('right','.block.button.rotate');

        if (!rotateActive) rotateActive = true;
        gameInstance.SendMessage("DentalViewerAPI", "EnableRotationGizmo", "xyz");
    }
};

function saveTeethTransforms(transformsListJSON)
{
    if (debug) console.log("saveTeethTransforms");
    modificationData.transforms =  transformsListJSON;
};

function saveTeethAxis(rotationsDictJSON)
{
    if (debug) console.log("saveTeethAxis");
    modificationData.rotation = rotationsDictJSON
};

function saveAttachmentData(attachmentDataJSON)
{
    if (debug) console.log("saveAttachmentData");
    /*
    To avoid duplicate calls made through unity
    */
    attachmentData = JSON.parse(attachmentDataJSON);

    if((typeof(attachmentData.Items) !== "undefined" && attachmentData.Items.length > 0)){

        if(typeof(attachmentData.Items[0].decalId) != "undefined"){
            modificationData.decalData = attachmentDataJSON;
            console.log(attachmentDataJSON);
        }

        if(typeof(attachmentData.Items[0].attachmentId) != "undefined"){
            modificationData.attachment = attachmentDataJSON;
        }
    }
    recordCounter++;
};

function loadTeethTransforms(transformsListJSON)
{
    if (debug) console.log("loadTeethTransforms");
    gameInstance.SendMessage("TeethSerializer", "DeserializeTeethModifications", transformsListJSON);
};

function loadTeethAxis(rotationsDictJSON)
{
    if (debug) console.log("loadTeethAxis");
    gameInstance.SendMessage("TeethSerializer", "DeserializeTeethAxis", rotationsDictJSON);
};

function loadAttachmentData(attachmentDataJSON)
{
    if (debug) console.log("loadAttachmentData");
    gameInstance.SendMessage("TeethSerializer", "DeserializeAttachmentData", attachmentDataJSON);
};

function loadDeserializeDecalData(DeserializeDecalData)
{
    if (debug) console.log("loadDeserializeDecalData");
    gameInstance.SendMessage("TeethSerializer", "DeserializeDecalData", DeserializeDecalData);
};

function loadTeethStageTransforms(stageTransformsListJSON){
    if (debug) console.log("loadTeethStageTransforms");
    gameInstance.SendMessage("ModelViewer", "SetTeethModificationStage", stageTransformsListJSON);
}

function loadTeethInitialStageTransforms()
{
    if (debug) console.log("loadTeethInitialStageTransforms");
    gameInstance.SendMessage("ModelViewer", "SetTeethInitialStage");
};

function loadingCompletedMessage(){
    if (debug) console.log("loadingCompletedMessage");
    setupInitialTeethFinalStageData(treatmentStages);
    setupInitialUpperTeethMaxStageCount(maxCountUpper);
    setupInitialLowerTeethMaxStageCount(maxCountLower);
    stagesSidebar = new stageSeekbar({min:1, max:maxvalue, upperSteps:maxCountUpper, lowerSteps:maxCountLower, id:"slider", play: "play-start", stop: "play-pause", backward: "play-backward", forward: "play-forward"});
    stagesSidebar.init();

    $("#step-player").css("display","block");
    isLoadComplete = true;

    if (viewerType === 'Reveal') {
        NewVersionPopUpReveal();
    } else if (viewerType === 'RevealPlus') {
        NewVersionPopUpRevealPlus();
    } else if (viewerType === 'SLX') {
        NewVersionPopUpSLX();
    }
}

function NewVersionPopUpReveal() {
    if (debug) console.log("NewVersionPopUpReveal");
    try {
        if(localStorage.getItem("newVersionPopUpShown_Reveal_v3_6") == null) {
            localStorage.setItem("newVersionPopUpShown_Reveal_v3_6",1);
            $("#popup .box").html("<h3>New software update notice</h3><p>Henry Schein&trade; Orthodontics&#8482; is pleased to announce new enhancements to this 3D Treatment Viewer software. This is now version v3.6.  Should you have any questions, concerns or issues, our dedicated Customer Care team are available to help.  More information <a href=\"https://revealclearaligners.com/reveal-product-update/\" target=\"mew\">here</a>.</p>");
            $("#popup").show();
        }
    } catch(exception) {
        console.log("NewVersionPopupReveal exception " + exception)
    }
}

function NewVersionPopUpRevealPlus() {
    if (debug) console.log("NewVersionPopUpRevealPlus");
    try {
        if(localStorage.getItem("newVersionPopUpShown_RevealPlus_v3_6") == null) {
            localStorage.setItem("newVersionPopUpShown_RevealPlus_v3_6",1);
            $("#popup .box").html("<h3>New software update notice</h3><p>Henry Schein&trade; Orthodontics&#8482; is pleased to announce new enhancements to this 3D Treatment Viewer software. This is now version v3.6.  Should you have any questions, concerns or issues, our dedicated Customer Care team are available to help.  More information <a href=\"https://revealclearaligners.com/reveal-plus-product-update/\" target=\"mew\">here</a>.</p>");
            $("#popup").show();
        }
    } catch(exception) {
        console.log("NewVersionPopupRevealPlus exception " + exception)
    }
}

function NewVersionPopUpSLX() {
    if (debug) console.log("NewVersionPopUpSLX");
    try {
        if(localStorage.getItem("newVersionPopUpShown_SLX_v3_6") == null) {
            localStorage.setItem("newVersionPopUpShown_SLX_v3_6",1);
            $("#popup .box").html("<h3>New software update notice</h3><p>Henry Schein&trade; Orthodontics&#8482; is pleased to announce new enhancements to this 3D Treatment Viewer software. This is now version v3.6.  Should you have any questions, concerns or issues, our dedicated Customer Care team are available to help.  More information <a href=\"https://slxclearaligners.com/product-update/\" target=\"mew\">here</a>.</p>");
            $("#popup").show();
        }
    } catch(exception) {
        console.log("NewVersionPopupSLX exception " + exception)
    }
}

function loadInitialTeethStageTransforms(stageTransformsListJSON)
{
    if (debug) console.log("loadInitialTeethStageTransforms");
    gameInstance.SendMessage("ModelViewer", "SetInitialTeethModificationStage", stageTransformsListJSON);
};

function resetInitialTeethStageTransforms()
{
    if (debug) console.log("resetInitialTeethStageTransforms");
    gameInstance.SendMessage("ModelViewer", "ResetInitialTeethModificationStage");
};

function toggleGumsOn()
{
    if (debug) console.log("toggleGumsOn");
    gameInstance.SendMessage("DentalViewerAPI", "SetGingivaVisibility", "true");
};

function toggleGumsOff()
{
    if (debug) console.log("toggleGumsOff");
    gameInstance.SendMessage("DentalViewerAPI", "SetGingivaVisibility", "false");
};

function toggleTransparencyOn()
{
    if (debug) console.log("toggleTransparencyOn");
    gameInstance.SendMessage("DentalViewerAPI", "SetMaterialOpacity", "false");
};

function toggleTransparencyOff()
{
    if (debug) console.log("toggleTransparencyOff");
    gameInstance.SendMessage("DentalViewerAPI", "SetMaterialOpacity", "true");
};

function toggleIPROn()
{
    if (debug) console.log("toggleIPROn (isDisabledByUser: " + isIprDisabledByUser + ")");
    
    if (!isIprDisabledByUser) {
        toggleActiveFeature('right','.block.button.ipr',true);

        if(!isEditMode) gameInstance.SendMessage("UI", "OnModelPressJS", "FinalModel");

        gameInstance.SendMessage("ModelViewer", "ToggleIPRVisibilityTrue");
    }
};

function toggleIPROff()
{
    if (debug) console.log("toggleIPROff");

    toggleActiveFeature('right','.block.button.ipr',false);

    gameInstance.SendMessage("ModelViewer", "ToggleIPRVisibilityFalse");
};

function loadTeethStageTransforms(stageTransformsListJSON)
{
    if (debug) console.log("loadTeethStageTransforms");
    gameInstance.SendMessage("ModelViewer", "SetTeethModificationStage", stageTransformsListJSON);
};

function loadTeethInitialStageTransforms()
{
    if (debug) console.log("loadTeethInitialStageTransforms");
    gameInstance.SendMessage("ModelViewer", "SetTeethInitialStage");
};

function updateIPRTeethStageTransforms()
{
    if (debug) console.log("updateIPRTeethStageTransforms");
    gameInstance.SendMessage("ModelViewer", "SetIPRTeethModificationStage");
};

function loadRemoveTeethData(removeTeethDataJSON)
{
    if (debug) console.log("loadRemoveTeethData");
    gameInstance.SendMessage("TeethSerializer", "DeserializeRemoveTeethData", removeTeethDataJSON);
};

function loadRemovedTeethStage()
{
    if (debug) console.log("loadRemovedTeethStage");
    setFinalModel();
    gameInstance.SendMessage("ModelViewer", "HideRemovedTeeth");
};

function unloadRemovedTeethStage()
{
    if (debug) console.log("unloadRemovedTeethStage");
    gameInstance.SendMessage("ModelViewer", "ShowRemovedTeeth");
};

function setInitialModel(){
    if (debug) console.log("setInitialModel");
    currentModel = "initial";
    loadRemovedTeethStage()
}

function setFinalModel(){
    if (debug) console.log("setFinalModel");
    currentModel = "final";
}

function initialClick(){
    if (debug) console.log("initialClick");
    
    stagesSidebar.initial();

    handleSliderActiveButtons('initial');
}

function intialStageClick(){
    if (debug) console.log("intialStageClick");
    resetCollision();
    disableEditMode();
    setInitialModel();
    stagesSidebar.initial();

    beforeClick();
    resetInitialTeethStageTransforms()

    handleSliderActiveButtons('initial');
}

function finalClick(){
    if (debug) console.log("finalClick");
    disableEditMode();
    setFinalModel();
    afterClick();
}

function toggleGingiva(){
    if (debug) console.log("toggleGingiva");
    if(!hasGums){
        toggleGumsOn();
        hasGums=true;
    }else{
        toggleGumsOff();
        hasGums = false;
    }
}

function toggleTransparency(){
    if (debug) console.log("toggleTransparency");
    toggleActiveFeature('right','.block.button.transparency');
    if (!isTransparent) {
        toggleTransparencyOn();
        isTransparent = true;
    } else {
        toggleTransparencyOff();
        isTransparent = false;
    }
}

function showAttachments() {
    if (debug) console.log("showAttachments");

    if (!isEditMode) {
        modifiedClick();
    } else {
        enableEditMode()
    }
    
    toggleIPROn();

    if (translateActive) {
        translateActive = false;
        gameInstance.SendMessage("DentalViewerAPI", "DisableTranslationGizmo");
    }
    if (rotateActive) {
        rotateActive = false;
        gameInstance.SendMessage("DentalViewerAPI", "DisableRotationGizmo");
    }

    isAttachmentPanelOpen = true;
    $(this).addClass('open-close-button');

    $block.addClass("active");
    $block.find(".slide").slideDown("normal");

    $(".rotate").removeClass("active");
    $(".translate").removeClass("active");
    $(".slit").removeClass("active");
    $(".cutout").removeClass("active");

    $('.button.accept').hide();
}

function hideAttachments() {
    if (debug) console.log("hideAttachments");
    if (isAttachmentPanelOpen) {
        isAttachmentPanelOpen = false;
        $(".isAttachment").removeClass("active");
        $(".isAttachment .button").removeClass(["active","selected"]);

        $(".slide").slideUp();
    }    
}

/**
 * Unity Stages Implementation
 *
 */

function setupInitialTeethFinalStageData(stageTransformsListJSON)
{
    if (debug) console.log("setupInitialTeethFinalStageData");
    gameInstance.SendMessage("ModelViewer", "SetupInitialTeethStagedModification", stageTransformsListJSON);
};

function setupInitialUpperTeethMaxStageCount(maxStageCount)
{
    if (debug) console.log("setupInitialUpperTeethMaxStageCount");
    maxStageCount = maxStageCount.toString();
    gameInstance.SendMessage("ModelViewer", "SetupInitialUpperTeethStageParams", maxStageCount);
};

function setupInitialLowerTeethMaxStageCount(maxStageCount)
{
    if (debug) console.log("setupInitialLowerTeethMaxStageCount");
    maxStageCount = maxStageCount.toString();
    gameInstance.SendMessage("ModelViewer", "SetupInitialLowerTeethStageParams", maxStageCount);
};

function loadStagedInitialUpperTeethStageNumber(stageStepNumber)
{
    if (debug) console.log("loadStagedInitialUpperTeethStageNumber");
    gameInstance.SendMessage("DentalViewerAPI", "SetStage", stageStepNumber);
};

function loadStagedInitialLowerTeethStageNumber(stageStepNumber)
{
    if (debug) console.log("loadStagedInitialLowerTeethStageNumber");
    gameInstance.SendMessage("DentalViewerAPI", "SetStage", stageStepNumber);
};

$(function(){
    $(".after").click(function ()
    {
        $(".edit, .accept, .add-note").show();
    });
    $(".before").click(function ()
    {
        $(".edit").hide().css({"display": "none"});
    });
    $(".dental-viewer-block .img-holder span img").click(function ()
    {
        $(".open-close, .right-col").show();
    });
    $(".after, .before").click(function ()
    {
        $(".right-nav.test .block").hide().css({"display": "none"});
    });

    $('.opener').click(function()
    {
        if (debug) console.log("opener click");
        $block = $(this).parents(".block");

        if ($block.hasClass("isAttachment")) {
            if (!isAttachmentPanelOpen) {
                showAttachments();
            } else {
                hideAttachments();
            }
        }
        return false;
    });

    $(".slide .button").click(function(){
        $(".slide .button").removeClass("active");
        $(this).addClass("active");
    });

    $(document).on("click", "canvas",function(){
        if($(this).attr("id")=="#canvas"){
            setPointer()
            return;
        }
    });

    $('.slide').hide();

    $(".modal").on("click",".close",function(){ $(".modal").hide();  });

    $.ajaxSetup({headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});
});

function setPointer(){
    if (debug) console.log("setPointer");
    if (translateActive) translateClick();
    if (rotateActive) rotateClick();
}

function handlePropertyChanged(property_name, property_value) {
    if (debug) console.log("handlePropertyChanged: " + property_name + ", " + property_value);
    //
    //
    //
    //
}

function handleDataChanged(jsonData) {
    if (debug) console.log("handleDataChanged:")
    if (debug) console.log(jsonData);
    //
    //
    //
    //
}

unityPreLoader = function()
{
    if (typeof (gameInstance.Module.calledRun) != "undefined"  && !isModificationLoaded )
    {
        isModificationLoaded = true;

        if(teethRemoveData  != "" &&  teethRemoveData != null){
            loadRemoveTeethData(teethRemoveData)

        }
        if(initialData.transforms!=null && initialData.transforms!="" ){

            loadTeethTransforms(initialData.transforms);
            loadTeethAxis(initialData.rotation);
            if(initialData.attachment.length>12){
                loadAttachmentData(initialData.attachment);
            }
        }

        if(initialData.decalData!="" && initialData.decalData!=null){
            console.log(initialData.decalData);
            loadDeserializeDecalData(initialData.decalData);
        }
        
        console.log("isTxOnHold? " + isTXOnHold);
        if(!isTXOnHold){
            console.log("... remove accept and submit modification buttons, add add note")
            $(".button.accept").remove();
            $(".block.button.modification").hide();
            $("#note-list .modal-bottom").addClass("addNote");
        }

        if(typeof(caseMeta.id)!="undefined" &&  caseMeta.id!=""){
            $("span.caseno").html(caseMeta.id);
            if(caseMeta.provider==null){
                $(".provider").remove();
            }else{
                $(".provider span").html(caseMeta.provider)
            }
            $("span.patient").html(caseMeta.patient);
            $("span.proposed").html(caseMeta.proposed_by);
            $("span.steps").html(caseMeta.steps);
        }
        $("#loading-wrapper").remove();
    }
    else
    {
        setTimeout(unityPreLoader, 1000);
    }
}

unityPreLoader();