var stageSeekbar = function(){

    let defaults = {
        range: "min",
        value: 0,
        min: 0,
        max: 10,
        upperSteps: 0,
        lowerSteps: 0,
        id: "slider",
        play: "play-controller",
        stop: "stop-controller",
        forward: "play-forward",
        backword: "play-backward",
        treatmentStages: null

    }

    this.slideBar = null;

    this.timer = null;
    this.options = {};
    function extendDefaults(source, properties) {
        var property;

        for (property in properties) {
            if (properties.hasOwnProperty(property)) {
                source[property] = properties[property];
            }
        }
        return source;

    }

    params = arguments[0] || {};

    this.options = extendDefaults(defaults, params);

    this.init = function(){

        sliderOptions =this.options;

        this.slideBar = $("#"+this.options.id).slider({max: sliderOptions.max, min:sliderOptions.min }).slider("pips");

        parentRef =this;

        $("#"+this.options.id).on("slide", function(e, ui){

           parentRef.slide(ui.value);
        });

        $("#"+this.options.play).on("click", function(e,i){

           parentRef.play();
            return false;

        });

        $("#"+this.options.stop).on("click", function(e,i){
           parentRef.stop();
            return false;
        });

        $("#"+this.options.backward).on("click", function(e,i){
           parentRef.backward();
            return false;
        });
        $("#"+this.options.forward).on("click", function(e,i){
           parentRef.forward();
            return false;
        });

        return false;

    }
    this.slide = function(index){

        toggleActiveButton('right');

        index = (index>this.options.max)?this.options.max:index;
        index = (index==0)?1: index;
        let upperSteps = this.options.upperSteps;
        let lowerSteps = this.options.lowerSteps;

        if(currentModel != 'initial'  || isEditMode==true){

            //setInitialModel();

            isEditMode = false;
        }
        disableEditMode();
        //toggleGumsOff();
        gameInstance.SendMessage("UI", "OnEditModelPressJS", "InitialModel");

        if(!isNaN(upperSteps) && upperSteps>0 ){
            loadStagedInitialUpperTeethStageNumber(index);
        }

        if(!isNaN(lowerSteps) && lowerSteps>0 ){
            loadStagedInitialLowerTeethStageNumber(index);
        }



        //loadInitialTeethStageTransforms(stage);
        //loadTeethStageTransforms(stage);

    }

    this.initial = function(){
        let sliderRef = this.slideBar;
        min  = sliderRef.slider("option", "min");
        this.stop();
        this.slide(min);
        sliderRef.slider("option","value",min);
        return false;

    }

    this.final = function(){
        let sliderRef = this.slideBar;
        max  = sliderRef.slider("option", "max");
        this.stop();
        this.slide(max);
        sliderRef.slider("option","value", max);

        return false;

    }



    this.play = function(){
        let sliderRef = this.slideBar;
        current = sliderRef.slider("option","value");
        max  = sliderRef.slider("option", "max");
        min  = sliderRef.slider("option", "min");


        if(current == max && this.timer == null ){

            current = min;
        }

        if((max) > current){
            $("#"+this.options.play).removeClass("active");
            $("#"+this.options.stop).addClass("active");
            this.next();

        }else{

            this.stop();

        }
        this.disableActiveButtons();

        return false;
    }

    this.next = function(){
        let sliderRef = this.slideBar;
        $this = this;
        this.timer = setTimeout(function(){

            $this.disableActiveButtons();

            current = sliderRef.slider("option","value");
            max  = sliderRef.slider("option", "max");
            current = (current==0)? 1: current;
            next = ((current+1)% (max+1) );
            sliderRef.slider("option", "value", next);
            $this.play();
            $this.slide(next);

        }, 1000);

    }

    this.stop = function(){
        $("#"+this.options.play).addClass("active");
        $("#"+this.options.stop).removeClass("active");

        this.disableActiveButtons();

        if(this.timer)  {
            clearTimeout(this.timer);
            this.timer=null;
        }
    }

    this.forward = function(){
        this.stop();
        let sliderRef = this.slideBar;
        $this = this;
        current = sliderRef.slider("option","value");
        max  = sliderRef.slider("option", "max");
        current = (current==0)? 1: current;
        next = ((current+1)% (max+1) );
        this.slide(next);

        sliderRef.slider("option", "value", next);

        this.disableActiveButtons();
    }

    this.backward = function(){
        this.stop();
        let sliderRef = this.slideBar;
        $this = this;
        current = sliderRef.slider("option","value");
        min  = sliderRef.slider("option", "min");
        max  = sliderRef.slider("option", "max");
        if(current == min){
            next = max;
            sliderRef.slider("option", "value", (max));

        }else{
            next = current-1;
            sliderRef.slider("option", "value", ((next)));
        }
        this.slide(next);

        this.disableActiveButtons();
    }

    this.disableActiveButtons = function() {
        if (typeof handleSliderActiveButtons !== 'undefined') handleSliderActiveButtons('none');
    }
}
