<?php $json  = trim(file_get_contents(__DIR__."/stages.json")); ?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dental Viewer</title>
    <link rel="stylesheet" href="assets/preview/css/main.css">
    <link href="https://fonts.googleapis.com/css?family=Poppins:400,500,600,700" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.0/css/all.css">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
    <link rel="stylesheet" href="assets/slider/css/jquery-ui-slider-pips.css">
    <link rel="stylesheet" href="assets/slider/css/custom.css">
</head>
<body class="v3">
<!-- Pre loading screen -->
<div id="loading-wrapper">
    <div class="main-content">
        <div class="inner-container">
            <div class="logo"><img src="assets/preview/images/HSO-logo-w.png" class="img-responsive"></div>
        </div>
        <div class="loader"></div>
        <div class="progress-bar">
            <div class="inner-bar">
                <span class="load"><span class="bar" style="width: 100%"></span></span>
            </div>
        </div>
    </div>
    <div class="copyright">&copy; 2019 Henry Schein Orthodontics, All Rights Reserved.</div>
</div>
<!-- Ends Pre loading screen -->

<div id="wrapper">
    <!-- Notes Section -->
    <div class="noteWrapper">
        <div id="note-list">
            <h2 class="header">Modification Notes</h2>
            <div id="note-log">
                <div class="notes_window">
                    <ol></ol>
                </div>
            </div>
        <div class="note-form">
                <div class="editor-wrapper">
                    <textarea name="editor" id="editor" rows="5"></textarea>
                </div>
                <div class="modal-bottom">
                    <a href="#" onclick="undoClick()" class="button undo" title="Undo All Movements"><span class="icon undo"></span> <span class="label">Reset</span></a>
                    <a href="#" class="button save-note" onclick="saveNote()" title="Save Note"><i class="icon add-note"></i> <span class="label">Save Note</span></a>
                    <a href="#" class="button download" onclick="return: false" title="Submit All Modifications & Notes"><span class="icon submit"></span> <span class="label">Submit Modification</span></a>
                </div>
        </div>
        </div>
    </div>
    <!-- End Notes Section -->

    <div class="main-container">
        <div class="outer-block">
            <div class="holder">
            <!-- Left Side Controllers -->
                <div class="left-nav">

                    <div class="left-controller">
                        <button type="button" class="button front" onclick="frontClick()"><span class="icon front"></span><span class="label">Front</span></button>
                        <button type="button" class="button right" onclick="rightClick()"><span class="icon right"></span><span class="label">Right</span></button>
                        <button type="button" class="button left" onclick="leftClick()"><span class="icon left"></span><span class="label">Left</span></button>
                        <button type="button" class="button back" onclick="backClick()"><span class="icon back"></span><span class="label">Back</span></button>
                        <button type="button" class="button bottom" onclick="bottomClick()"><span class="icon bottom"></span><span class="label">Lower</span></button>
                        <button type="button" class="button top" onclick="topClick()"><span class="icon top"></span><span class="label">Upper</span></button>
                        <button type="button" class="button ipr" onclick="iprClick()"><span class="icon ipr"></span><span class="label">3D IPR</span></button>
                        <button type="button" class="button ipr" onclick="gridClick()"><span class="icon grid"></span><span class="label">Grid</span></button>
                    </div>
                </div>
            <!-- Ends Left Side Controllers -->

            </div>
            <div class="dental-viewer-block">
                <div class="img-holder">
                    <div id="gameContainer"></div>
                    <div id="loader">
                        <div class="spinner"></div>
                        <div class="progress"><div class="full"></div></div>
                    </div>
                </div>
            </div>
            <div class="right-nav">
                <!-- Right Side Controllers -->
                <div class="right-block">

                    <button type="button" onclick="collisionClick()" class="block collision button "><span class="icon collision"></span><span class="label">Collision</span></button>
                    <div class="block open-close isTranslate">
                        <a class="opener button" href="javascript: void(0);"><span class="icon translate"></span><span class="label">Translate</span></a>
                        <ul class="slide">
                            <li><button type="button" class="button" data-translate="x"><span class="icon translate-horizontal"></span></button></li>
                            <li><button type="button" class="button" data-translate="y"><span class="icon translate-vertical"></span></button></li>
                            <li><button type="button" class="button" data-translate="z"><span class="icon translate-angle"></span></button></li>
                        </ul>
                    </div>
                    <div class="block open-close isRotate">
                        <a class="opener button" href="javascript: void(0);"><span class="icon rotate"></span><span class="label">Rotate</label></a>
                        <ul class="slide">
                            <li><button type="button" class="button" data-rotate="x"><span class="icon rotate-torque"></span></button></li>
                            <li><button type="button" class="button" data-rotate="y"><span class="icon rotate-vertical"></span></button></li>
                            <li><button type="button" class="button" data-rotate="z"><span class="icon rotate-horizontal"></span></button></li>
                        </ul>
                    </div>

                    <div class="block-wrapper">
                    <div class="block open-close translate">
                        <a class="opener button" href="javascript: void(0);"><span class="icon translate"></span><span class="label">Translate</span></a>
                        <ul class="slide">
                            <li><button type="button" class="button" ><span class="icon translate-horizontal"></span></button></li>
                            <li><button type="button" class="button" ><span class="icon translate-vertical"></span></button></li>
                            <li><button type="button" class="button" ><span class="icon translate-angle"></span></button></li>
                        </ul>
                    </div>
                    <div class="block open-close rotate">
                        <a class="opener button" href="javascript: void(0);"><span class="icon rotate"></span><span class="label">Rotate</label></a>
                        <ul class="slide">
                            <li><button type="button" class="button"><span class="icon rotate-horizontal"></span></button></li>
                            <li><button type="button" class="button"><span class="icon rotate-vertical"></span></button></li>
                            <li><button type="button" class="button"><span class="icon rotate-torque"></span></button></li>
                        </ul>
                    </div>
                </div>
                <button type="button" onclick="beforeSuperpositionClick()" class="block superposition button "><span class="icon superposition"></span><span class="label">Superposition</span></button>
                </div>
                <!-- Right Side Controllers -->

                <!-- Treatment Information Section -->
                <div class="logo-right"><img src="assets/preview/images/SLX-Studio-pro.png" class="img-responsive"></div>
                <div class="treatment-details ">
                        <span>Treatment Details</span><br>
                        Case # <span class="caseno"></span><br>
                        Patient: <span class="patient"></span><br>
                        <div class="provider">Doctor:  <span></span></div>
                        Proposed By: <span class="proposed"></span><br>
                        Estimated Aligners: <span class="steps"></span>
                </div>
                <!-- Ends Treatment Information Section -->

                <!-- Right Sidebar Bottom-->
                <div class="bottom">
                    <button type="button" onclick="clickSave()" class="block accept button"><span class="icon accept"></span><span class="label">Save</span></button>
                </div>
                <!-- Ends Right Side Accept Button -->
                <div class="bottom-section">
                    <!-- Attachments Buttons -->
                    <ul class="left-col">
                        <li>Attachments</li>
                        <li><button type="button" class="button cube" onclick="cubeClick()"><span class="icon cube"></span></button></li>
                        <li><button type="button" class="button sphere" onclick="sphereClick()"><span class="icon sphere"></span></button></li>
                        <li><button type="button" class="button" onclick="cylinderClick()"><span class="icon cylinder"></span></button></li>
                        <li><button type="button" class="button" onclick="triangleClick()"><span class="icon triangle"></span></button></li>
                        <li><button type="button" class="button" onclick="ovalClick()"><span class="icon oval"></span></button></li>
                    </ul>
                    <!-- Ends Attachments Buttons -->

                    <!-- Before/After/Modify Buttons -->
                    <div class="middle-col">
                        <div class="li before-btn"><button type="button" class="button before" onclick="intialStageClick()"><span class="icon before"></span><span class="label">Before</span></button></div>
                        <div class="li after-btn"><button type="button" class="button after" onclick="afterClick()"><span class="label">After</span><span class="icon after"></span></button></div>

                        <div class="li modified modified-btn"><button type="button" class="button modified active" onclick="modifiedClick()"><span class="label">Modify</span><span class="icon modified"></span></button></div>
                    </div>

                    <!-- Ends Before/After/Modify Buttons -->

                    <ul class="right-col">
                        <li>
                            <span class="stats">X <span class="number translateX">0.00</span></span>
                            <span class="stats">Y <span class="number translateY">0.00</span></span>
                            <span class="stats">Z <span class="number translateZ">0.00</span></span>
                        </li>
                        <li>
                            <span class="stats">X <span class="number rotateX">0.00</span></span>
                            <span class="stats">Y <span class="number rotateY">0.00</span></span>
                            <span class="stats">Z <span class="number rotateZ">0.00</span></span>
                        </li>
                    </ul>
                    <!-- Slits/Cutouts Buttons -->
                    <ul class="right-col1">
                        <li><button type="button" onclick="slitClick()"><span class="icon slit"></span></button></li>
                        <li><button type="button" onclick="cutoutClick()"><span class="icon cutout"></span></button></li>
                    </ul>
                    <!-- Slits/Cutouts Buttons -->
                </div>
            </div>

        </div>
    </div>
    <!-- Stages Slider -->
    <div id="step-player">
    <div id="player-buttons">
        <span class="player-button play-backward" id="play-backward"><i class="fa fa-angle-double-left"></i></span>
        <span class="player-button play-start active" id="play-start"><i class="fa fa-play"></i></span>
        <span class="player-button play-pause" id="play-pause"><i class="fa fa-pause"></i></span>
        <span class="player-button play-forward" id="play-forward"><i class="fa fa-angle-double-right"></i></span>
    </div>
    <div class="slider" id="slider">
        <div class="slide-wrapper">
            <div class="slide-track"></div>
        </div>
    </div>

    </div>
    <!-- End Stages Slider -->

</div>
<!-- End main wrapper -->
<script type="text/javascript" src="assets/preview/js/jquery-1.11.2.min.js"></script>
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<script src="assets/slider/js/jquery-ui-slider-pips.js"></script>
<script src="assets/preview/js/stages-slider.js"></script>

<script type="text/javascript" src="assets/preview/js/ckeditor.js"></script>

<!-- Untiy Loader  -->
<script type="text/javascript" src="assets/preview/Build/UnityLoader.js"></script>

<script type="text/javascript">
//Variables viewer operations

var modificationData = { rotation: null, attachment: null, transforms: null };
var initialData = { rotation: null, attachment: null, transforms: null };
var modificationUrl = "";

var isEditable = 1;
initialData.rotation = '';
initialData.attachment = '';
initialData.transforms = '';

var treatmentStages = [];
var beforeStage = null;
var teethStageStepTransform  = null;
var teethRemoveData = null;

treatmentStages = '<?php echo json_encode(json_decode($json)); ?>';

var maxCountUpper = parseInt(8);
var maxCountLower = parseInt(12);
var maxvalue = 12;

var settings = { isEdit : false, viewType : 0 }


var caseMeta = {id: "", patient: "", provider:"", steps:"U6 - L8", proposed_by: "Herry"};

</script>
<script type="text/javascript" src="assets/preview/js/app.js"></script>



<div id="popup" class="modal">
    <div class="wrapper">
        <span class="close">&times;</span>
        <div class="box"></div>
    </div>
</div>



</body>
</html>

