<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="8pviz60OG4BpXee1Pdta5reqYTQjlQ38q8SBr4Lj">
    <title>Dental Viewer</title>
    <link rel="stylesheet" href="assets/preview/css/main.css">
    <link href="https://fonts.googleapis.com/css?family=Poppins:400,500,600,700" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.0/css/all.css">
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
    <link rel="stylesheet" href="assets/stages/css/custom.css">


</head>

<body class="v3">
    <div id="loading-wrapper">
        <div class="main-content">
            <div class="inner-container">
                <div class="logo"><img src="assets/preview/images/HSO-logo-w.png" class="img-responsive"></div>
            </div>
            <div class="loader"></div>
            <div class="progress-bar">
                <div class="inner-bar">
                    <span class="load"><span class="bar" style="width: 100%"></span></span>
                </div>
            </div>
        </div>
        <div class="copyright">&copy; 2019 Henry Schein Orthodontics, All Rights Reserved.</div>
    </div>
    <div id="wrapper">
        <div class="noteWrapper">
            <div id="note-list">
                <h2 class="header">Stages:</h2>
                <div id="note-log">
                    <div class="notes_window">
                        <ol class="stagesList">

                        </ol>
                    </div>
                </div>
                <div class="note-form">
                    <textarea id="jsonRes" rows="8" style="width: 100%;"></textarea>
                    <div class="modal-bottom">
                        <div class="row">
                            <div class="col-md-6">
                                <span class="title">Upper Aligner</span>
                                <input type="number" min="0" name="upperStages" contentEditable="true"="true" class="text-input" value="8" placeholder="Number of upper stages">
                            </div>
                            <div class="col-md-6">
                                <span class="title">Lower Aligner</span>
                                <input type="number" min="0" name="lowerStages" contentEditable="true" class="text-input"  value="12" placeholder="Number of lower stages">
                            </div>
                        </div>
                        <div class="row">
                            <a href="#" class="button getStages" onclick="getStagesFromUnity()"><span class="icon submit"></span> <span class="label">Get Stages</span></a>
                            <a href="#" type="button" onclick="copyStagesJson()"  class="button"><span class="icon submit"></span><span class="label">Copy JSON</span></a>
                        </div>
                    </div>
                </div>

            </div>

        </div>
        <div class="main-container">
            <div class="outer-block">
                <div class="holder">

                    <div class="left-nav">

                        <div class="left-controller">
                            <button type="button" class="button front" onclick="frontClick()"><span class="icon front"></span><span class="label">Front</span></button>
                            <button type="button" class="button right" onclick="rightClick()"><span class="icon right"></span><span class="label">Right</span></button>
                            <button type="button" class="button left" onclick="leftClick()"><span class="icon left"></span><span class="label">Left</span></button>
                            <button type="button" class="button back" onclick="backClick()"><span class="icon back"></span><span class="label">Back</span></button>
                            <button type="button" class="button bottom" onclick="bottomClick()"><span class="icon bottom"></span><span class="label">Lower</span></button>
                            <button type="button" class="button top" onclick="topClick()"><span class="icon top"></span><span class="label">Upper</span></button>
                            <button type="button" class="button ipr" onclick="iprClick()"><span class="icon ipr"></span><span class="label">3D IPR</span></button>
                            <button type="button" class="button ipr" onclick="gridClick()"><span class="icon grid"></span><span class="label">Grid</span></button>
                        </div>
                    </div>


                </div>
                <div class="dental-viewer-block">
                    <div class="img-holder">
                        <div id="gameContainer"></div>
                        <div id="loader">
                            <div class="spinner"></div>
                            <div class="progress">
                                <div class="full"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="right-nav">
                    <div class="right-block">

                        <button type="button" onclick="collisionClick()" class="block collision button "><span class="icon collision"></span><span class="label">Collision</span></button>

                        <div class="block open-close isTranslate">
                            <a class="opener button" href="javascript: void(0);"><span class="icon translate"></span><span class="label">Translate</span></a>
                            <ul class="slide">
                                <li><button type="button" class="button" data-translate="x"><span class="icon translate-horizontal"></span></button></li>
                                <li><button type="button" class="button" data-translate="y"><span class="icon translate-vertical"></span></button></li>
                                <li><button type="button" class="button" data-translate="z"><span class="icon translate-angle"></span></button></li>
                            </ul>
                        </div>
                        <div class="block open-close isRotate">
                            <a class="opener button" href="javascript: void(0);"><span class="icon rotate"></span><span class="label">Rotate</label></a>
                            <ul class="slide">
                                <li><button type="button" class="button" data-rotate="x"><span class="icon rotate-torque"></span></button></li>
                                <li><button type="button" class="button" data-rotate="y"><span class="icon rotate-vertical"></span></button></li>
                                <li><button type="button" class="button" data-rotate="z"><span class="icon rotate-horizontal"></span></button></li>
                            </ul>
                        </div>
                        <button type="button" onclick="loadAutoFinalStagePositionClick()" class="block undo button"><span class="fa fa-magic" style="font-size: 20px; font-weight: 900;"></span><span class="label">Auto Adjust</span></button>
                        <div class="block-wrapper">
                            <div class="block open-close translate">
                                <a class="opener button" href="javascript: void(0);"><span class="icon translate"></span><span class="label">Translate</span></a>
                                <ul class="slide">
                                    <li><button type="button" class="button"><span class="icon translate-horizontal"></span></button></li>
                                    <li><button type="button" class="button"><span class="icon translate-vertical"></span></button></li>
                                    <li><button type="button" class="button"><span class="icon translate-angle"></span></button></li>
                                </ul>
                            </div>
                            <div class="block open-close rotate">
                                <a class="opener button" href="javascript: void(0);"><span class="icon rotate"></span><span class="label">Rotate</label></a>
                                <ul class="slide">
                                    <li><button type="button" class="button"><span class="icon rotate-horizontal"></span></button></li>
                                    <li><button type="button" class="button"><span class="icon rotate-vertical"></span></button></li>
                                    <li><button type="button" class="button"><span class="icon rotate-torque"></span></button></li>
                                </ul>
                            </div>
                        </div>
                        <button type="button" onclick="beforeSuperpositionClick()" class="block superposition button "><span class="icon superposition"></span><span class="label">Superposition</span></button>
                        <button type="button" onclick="removeTeethClick()" class="block remove-tooth button "><span class="icon remove-tooth"></span><span class="label">Remove</span></button>
                        <button type="button" onclick="undoRemovalClick()" class="block remove-tooth button "><span class="icon remove-tooth"></span><span class="label">Undo Remove</span></button>
                    </div>
                    <div class="logo-right active"><img src="assets/preview/images/SLX-Studio-pro.png" class="img-responsive"></div>
                    <div class="treatment-details active">
                        <span>Treatment Details</span><br> Case # <span class="caseno"></span><br> Patient: <span class="patient"></span><br>
                        <div class="provider">Doctor: <span></span></div>
                        Proposed By: <span class="proposed"></span><br> Estimated Aligners: <span class="steps"></span>
                    </div>
                    <div class="bottom">
                        <button type="button" onclick="clickSave()" class="block accept button"><span class="icon accept"></span><span class="label">Save</span></button>
                    </div>
                    <div class="bottom-section">

                        <ul class="left-col">
                            <li>Attachments</li>
                            <li><button type="button" class="button cube" onclick="cubeClick()"><span class="icon cube"></span></button></li>
                            <li><button type="button" class="button sphere" onclick="sphereClick()"><span class="icon sphere"></span></button></li>
                            <li><button type="button" class="button" onclick="cylinderClick()"><span class="icon cylinder"></span></button></li>
                            <li><button type="button" class="button" onclick="triangleClick()"><span class="icon triangle"></span></button></li>
                            <li><button type="button" class="button" onclick="ovalClick()"><span class="icon oval"></span></button></li>
                        </ul>
                        <div class="middle-col">
                        <div class="li before-btn"><button type="button" class="button before" onclick="beforeClick()"><span class="icon before"></span><span class="label">Before</span></button></div>
                        <div class="li after-btn"><button type="button" class="button after" onclick="afterClick()"><span class="label">After</span><span class="icon after"></span></button></div>

                        <div class="li modified modified-btn"><button type="button" class="button modified" onclick="modifiedClick()"><span class="label">Modify</span><span class="icon modified"></span></button></div>
                        </div>

                        <ul class="right-col">
                            <li>
                                <span class="stats">X <span class="number translateX">0.00</span></span>
                                <span class="stats">Y <span class="number translateY">0.00</span></span>
                                <span class="stats">Z <span class="number translateZ">0.00</span></span>
                            </li>
                            <li>
                                <span class="stats">X <span class="number rotateX">0.00</span></span>
                                <span class="stats">Y <span class="number rotateY">0.00</span></span>
                                <span class="stats">Z <span class="number rotateZ">0.00</span></span>
                            </li>
                        </ul>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <script type="text/javascript" src="assets/preview/js/jquery-1.11.2.min.js"></script>
    <script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>

    <script type="text/javascript" src="assets/preview/js/ckeditor.js"></script>

    <script type="text/javascript" src="assets/preview/js/bellhop.js"></script>
    <script type="text/javascript" src="assets/stages/Build/UnityLoader.js"></script>

    <script type="text/javascript">

        var baseURL = "assets/stages/"
        var initialData = {};
        initialData.rotation = '';
        initialData.attachment = '';
        initialData.transforms = '';

        var caseMeta = {
            id: "",
            patient: "",
            provider: "",
            steps: "U6 - L8",
            proposed_by: "Herry"
        };
        var treatmentStages = [];
        var beforeStage = null;
        var teethStageStepTransform = null;

    </script>
    <script type="text/javascript" src="assets/stages/js/app.js"></script>
    <script type="text/javascript" src="assets/stages/js/stages-builder.js"></script>
    <script type="text/javascript">

        unityPreLoader();
    </script>
    <div id="popup" class="modal">
        <div class="wrapper">
            <span class="close">&times;</span>
            <div class="box"></div>
        </div>
    </div>



</body>

</html>
