<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title>Dental Viewer</title>
    <link href="https://fonts.googleapis.com/css?family=Poppins:400,500,600,700" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.0/css/all.css">
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
    <link rel="stylesheet" href="<?php echo e(url('assets/preview')); ?>/css/jquery-ui-slider-pips.css">
    <link rel="stylesheet" href="<?php echo e(url('assets/preview')); ?>/v4.3.0/css/app.main.css">
    <link rel="stylesheet" href="<?php echo e(url('assets/preview')); ?>/css/stages.css">
    <style>
       .logo-right {
           width: 300px; 
           right: 150px;
        }
       .right-block button {
            border-width: 0 0 1px 1px;
            border-color: transparent transparent #2f293c #2f293c;
            border-style: solid;
            height: 80px;
            display: inline-block;
            vertical-align: top;
            margin: 0 0 0 -3px;
            background: none;
            padding: 0;
            cursor: pointer;
            outline: none;
            font-size: 13px;
            position: relative;
            z-index: 999;
       }
       .right-nav {
           padding-top: 0px;
       }
    </style>
</head>
<body class="v4 with-stages-slider">
<div id="loading-wrapper">
    <div class="main-content">
        <div class="inner-container">
            <div class="logo"><img src="<?php echo e(asset("reveal/images/Reveal_Logo.png")); ?>" class="img-responsive"></div>
        </div>
        <div class="loader"></div>
        <div class="progress-bar">
            <div class="inner-bar">
                <span class="load"><span class="bar" style="width: 100%"></span></span>
            </div>
        </div>
    </div>
    <div class="copyright">&copy; <?php echo \Carbon\Carbon::now()->year; ?> Reveal Clear Aligners, All Rights Reserved.</div>
</div>
<div id="wrapper">
    <div class="noteWrapper">
        <div id="note-list">
            <div class="note-header">
                <div class="note-title">
                    <h2 class="header">Modification Notes</h2>
                </div>
                <div class="note-cancel">
                    <a href="#" onclick="closeNote()" alt="Cancel Note">&times;</a>
                </div>
            </div>
            <div id="note-log">
                <div class="notes_window">
                    <ol></ol>
                </div>
            </div>
           <div class="note-form">
                <div class="editor-wrapper">
                    <textarea name="editor" id="editor" rows="5"></textarea>
                </div>
                <div class="modal-bottom">
                    <!--<a href="#" onclick="undoClick()" class="button undo" title="Undo All Movements"><span class="icon undo"></span> <span class="label">Reset</span></a>-->
                    <a href="#" class="button save-note" onclick="saveNote()" title="Save Note"><i class="icon add-note"></i> <span class="label">Save Note</span></a>
                    <!--<a href="#" class="button download" onclick="requestModifcation()" title="Submit All Modifications & Notes"><span class="icon submit"></span> <span class="label">Submit Modification</span></a>-->
                </div>
           </div>
        </div>
    </div>
    <div class="main-container">
        <div class="outer-block">
            <div class="holder">
                <div class="left-nav">
                    <div class="left-controller">
                        <button type="button" title="Front" class="button front" onclick="frontClick()"><span class="icon front"></span><span class="label">Front</span></button>
                        <button type="button" title="Right" class="button right" onclick="rightClick()"><span class="icon right"></span><span class="label">Right</span></button>
                        <button type="button" title="Left" class="button left" onclick="leftClick()"><span class="icon left"></span><span class="label">Left</span></button>
                        <button type="button" title="Back" class="button back" onclick="backClick()"><span class="icon back"></span><span class="label">Back</span></button>
                        <button type="button" title="Upper" class="button top" onclick="topClick()"><span class="icon top"></span><span class="label">Upper</span></button>
                        <button type="button" title="Lower" class="button bottom" onclick="bottomClick()"><span class="icon bottom"></span><span class="label">Lower</span></button>
                    </div>
                </div>
            </div>
            <div class="dental-viewer-block">
                <div class="img-holder">
                    <div id="gameContainer"></div>
                    <div id="loader">
                        <div class="spinner"></div>
                        <div class="progress"><div class="full"></div></div>
                    </div>
                </div>
            </div>
            <div class="right-nav">
                <div class="right-block">
                    <button type="button" title="Grid" class="block button grid" onclick="gridClick()"><span class="icon grid"></span><span class="label">Grid</span></button>
                    <button type="button" title="Collisions" class="block button collision" onclick="collisionClick()"><span class="icon collision"></span><span class="label">Collisions</span></button>
                    <button type="button" title="Superimposition" class="block button superposition" onclick="afterSuperpositionClick()"><span class="icon superposition"></span><span class="label">Superimposition</span></button>
                    <button type="button" title="Transparency" class="block button transparency" onclick="transparentClick()"><span class="icon transparency"></span><span class="label">Transparency</span></button>
                    <button type="button" title="Gingiva" class="block button toggleGingiva" onclick="gingivaClick()"><span class="icon gingiva"></span><span class="label">Gingiva</span></button>
                    <?php if(!empty($preview["unity_ipr_placeholders"])): ?>
                        <button type="button" title="IPR" class="block button ipr" onclick="iprClick()"><span class="icon ipr"></span><span class="label">IPR</span></button>
                    <?php endif; ?>
                    <button type="button" title="Notes" class="block button modified" onclick="modifiedClick(true)"><span class="icon modified"></span><span class="label">Notes</span></button>
                </div>

                <!-- do not display modification tools for Reveal viewer -->
                <div style="display: none; height: 0px; width: 0px;">
                    <button type="button" class="block collision button "><span class="icon collision"></span></button>

                    <div class="block-wrapper">
                        <div class="block open-close translate">
                        </div>
                        <div class="block open-close rotate">
                        </div>
                    </div>
                </div>

                <div class="logo-right active"><img src="<?php echo e(url("assets/reveal/images/Reveal_Peach_Logo.png")); ?>" class="img-responsive"></div>
                <div class="treatment-details active">
                        <span>Treatment Details</span><br>
                        Case # <span class="caseno"><?php echo e($caseInfo["portal_case_number"]); ?></span><br>
                        Patient: <span class="patient"><?php echo e($caseInfo["patient_name"]); ?></span><br>
                        <div class="provider">Doctor:  <span><?php echo e($caseInfo["doctor_name"]); ?></span></div>
                        Estimated Aligners: <span class="steps"><?php echo e($steps); ?></span>
                </div>
                <div class="bottom">
                    <div class="accept-button-container">
                        <button type="button" onclick="approveCase()" class="block accept button" title="Final approval to start manufacturing"><span class="icon accept"></span><span class="label">Accept</span></button>
                    </div>
                </div>

                <div class="bottom-section" style="display: none;">

                    <div class="middle-col">
                    </div>

                    <ul class="right-col">
                        <li>
                            <span class="stats">X <span class="number translateX">0.00</span></span>
                            <span class="stats">Y <span class="number translateY">0.00</span></span>
                            <span class="stats">Z <span class="number translateZ">0.00</span></span>
                        </li>
                        <li>
                            <span class="stats">X <span class="number rotateX">0.00</span></span>
                            <span class="stats">Y <span class="number rotateY">0.00</span></span>
                            <span class="stats">Z <span class="number rotateZ">0.00</span></span>
                        </li>
                    </ul>

                </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="step-player">
    <div id="player-buttons">
        <span title="Before" class="player-button play-backward" id="show-initial" onclick="intialStageClick()"><i class="fa fa-angle-double-left"></i></span>
        <span title="Previous" class="player-button play-backward" id="play-backward"><i class="fa fa-angle-left"></i></span>
        <span title="Play" class="player-button play-start active" id="play-start"><i class="fa fa-play"></i></span>
        <span title="Pause" class="player-button play-pause active-slider-button" id="play-pause"><i class="fa fa-pause"></i></span>
        <span title="Next" class="player-button play-forward" id="play-forward"><i class="fa fa-angle-right"></i></span>
        <span title="After" class="player-button play-forward" id="show-final" onclick="afterClick()"><i class="fa fa-angle-double-right"></i></span>
    </div>
    <div class="slider" id="slider">
        <div class="slide-wrapper">
            <div class="slide-track"></div>
        </div>
    </div>
</div>

<script type="text/javascript" src="<?php echo e(url("assets/preview/")); ?>/js/jquery-1.11.2.min.js"></script>
<script src="https://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<script src="<?php echo e(url("assets/preview/")); ?>/js/jquery-ui-slider-pips.js"></script>
<script type="text/javascript" src="<?php echo e(url("assets/preview/v4.3.0")); ?>/js/slider.js"></script>
<script type="text/javascript" src="<?php echo e(url("assets/preview/")); ?>/js/ckeditor.js"></script>
<script type="text/javascript" src="<?php echo e(url("assets/preview/")); ?>/js/bellhop.js"></script>
<script type="text/javascript" src="<?php echo e(url("assets/preview/")); ?>/v4.3.0/js/ddx.notes.js"></script>
<script type="text/javascript" src="<?php echo e(url("assets/preview/")); ?>/v4.3.0/js/ddx.connect.js"></script>


<textarea style="display: none;"><?php echo e(print var_dump($preview)); ?></textarea>


<script type="text/javascript">
var viewerType = 'Reveal';
var baseUrl = '<?php echo e(url("/")); ?>';
var modificationData = { rotation: null, attachment: null, transforms: null, decalData: null };
var initialData = { rotation: null, attachment: null, transforms: null, decalData: null };
var modificationUrl = "<?php echo e($modificationURL); ?>";

var settings = { isEdit : false, viewType : 0 }
var treatmentStages = [];
var maxCountUpper = parseInt(<?php echo e($preview["aligners_upper"]); ?>);
var maxCountLower = parseInt(<?php echo e($preview["aligners_lower"]); ?>);
var maxvalue ='<?php echo  ($preview["aligners_upper"]>$preview["aligners_lower"])? $preview["aligners_upper"] : $preview["aligners_lower"] ; ?>';
    maxvalue = parseInt(maxvalue);

    
//Add CK Editor to editor field
CKEDITOR.replace( 'editor', {uiColor : '#1F212D', height: 150});
<?php if($modifiedData!=NULL): ?>
    initialData.rotation = '<?php echo $modifiedData->rotation; ?>';
    initialData.attachment = '<?php echo $modifiedData->attachment; ?>';
    initialData.transforms = '<?php echo $modifiedData->transforms; ?>';

<?php endif; ?>
<?php if(isset($modifiedData) && isset($modifiedData->decalData)): ?>
initialData.decalData = '<?php echo $modifiedData->decalData; ?>';
<?php endif; ?>
var caseMeta = {id: "", patient: "", provider:"", steps:"<?php echo e($steps); ?>", proposed_by: "Herry"};
var teethRemoveData  = '<?php echo $deletedToothData; ?>'

//Load Saved Stages
treatmentStages = '<?php echo $stages; ?>';

$(function(){
    $.ajaxSetup(
        {headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}}
    );
    $(".middle-col li").on("click", function(){
        console.log("this");
        $(".middle-col li").removeClass("active");
        $(this).addClass("active");
    });
});
</script>
<script type="text/javascript" src="<?php echo e(url("assets/preview/v4.3.0/")); ?>/Build/UnityLoader.js"></script>
<script type="text/javascript" src="<?php echo e(url("assets/preview/v4.3.0")); ?>/js/app.js"></script>

<div id="popup" class="modal">
    <div class="wrapper">
        <span class="close">&times;</span>
        <div class="box"></div>
    </div>
</div>
<div id="popup3" class="modal">
    <div class="wrapper">
        <span class="close">&times;</span>

        <div class="editor-wrapper">
            <p>I the clinician have reviewed and approve:</p>
            <p>
                <input type="checkbox" id="approveFinal"/> This treatment setup for manufacturing.
            </p>
            <p>
                <input type="checkbox" id="approveCutouts"/> The prescription of the aligner treatment plan including any IPR/EBT/Cutouts/Attachments disclosed. 
            </p>
        </div>
        <div class="modal-bottom">
            <a href="#" class="button" onClick="Approve()" style="width: 50%;"><i class="icon approve"></i>ACCEPT</a>
            <a href="#" class="button" onClick="Cancel()" style="width: 50%;"><i class="icon cancel"></i>CANCEL</a>
        </div>
    </div>
</div>

</body>
</html>
<?php /**PATH /var/www/html/portal/Modules/Preview/Resources/views/preview/reveal.blade.php ENDPATH**/ ?>