<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title>Dental Viewer</title>
    <link href="//fonts.googleapis.com/css?family=Poppins:400,500,600,700" rel="stylesheet">
    <link rel="stylesheet" href="//use.fontawesome.com/releases/v5.6.0/css/all.css">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
    <link rel="stylesheet" href="<?php echo e(url('assets/preview')); ?>/css/jquery-ui-slider-pips.css">
    <link rel="stylesheet" href="<?php echo e(url('assets/preview')); ?>/css/main.css">
    <link rel="stylesheet" href="<?php echo e(url('assets/preview')); ?>/css/stages.css">

   <style type="text/css">
      /*  #loading-wrapper{ display: none; }
        .left-nav, .right-nav{ display: block; }
        */
        a {
            color: #d1d2d4;
        }

        #note-list #note-log ol li {
            padding: 0px;
        }

        #note-list #note-log ol li a {
            padding: 10px 0px;
            display: block;
        }

        #note-list .stagesList a:hover {
            background: #292939;
            color: #00ace6;
        }

        #note-list .note-form {
            border-top: 1px solid #292939;
        }

        #note-list .note-form .button {
            width: 100%;
            line-height: 55px;
        }

        #note-list .note-form .button .label {
            display: inline;
            margin-left: 8px;
        }
    </style>

</head>
<body class="backend with-stages-slider">
<div id="loading-wrapper">
        <div class="main-content">
            <div class="inner-container">
                <div class="logo"><img src="<?php echo e(url("assets/backend/images/HSO-logo-w.png")); ?>" class="img-responsive"></div>
            </div>
            <div class="loader"></div>
            <div class="progress-bar">
                <div class="inner-bar">
                    <span class="load"><span class="bar" style="width: 100%"></span></span>
                </div>
            </div>
        </div>
        <div class="copyright">&copy; <?php echo \Carbon\Carbon::now()->year; ?> Henry Schein Orthodontics, All Rights Reserved.</div>
    </div>
<div id="wrapper">
        <div class="noteWrapper">



    </div>
    <div class="main-container">
        <div class="outer-block">
            <div class="holder">

                <div class="left-nav">

                    <div class="left-controller">
                        <button type="button" class="button front" onclick="frontClick()"><span class="icon front"></span><span class="label">Front</span></button>
                        <button type="button" class="button right" onclick="rightClick()"><span class="icon right"></span><span class="label">Right</span></button>
                        <button type="button" class="button left" onclick="leftClick()"><span class="icon left"></span><span class="label">Left</span></button>
                        <button type="button" class="button back" onclick="backClick()"><span class="icon back"></span><span class="label">Back</span></button>
                        <button type="button" class="button bottom" onclick="bottomClick()"><span class="icon bottom"></span><span class="label">Bottom</span></button>
                        <button type="button" class="button top" onclick="topClick()"><span class="icon top"></span><span class="label">Top</span></button>
                        <?php if($preview["ipr_file_path"]!=null): ?>
                        <button type="button" class="button ipr" onclick="iprViewer()"><span class="icon ipr"></span><span class="label">IPR</span></button>
                        <?php endif; ?>
                        <?php if(!empty($preview["ipr_holders"])): ?>
                        <button type="button" class="button ipr" onclick="iprClick()"><span class="icon ipr"></span><span class="label">IPR</span></button>
                        <?php endif; ?>
                        <button type="button" class="button ipr" onclick="gridClick()"><span class="icon grid"></span><span class="label">Grid</span></button>
                    </div>
                </div>


            </div>
            <div class="dental-viewer-block">
                <div class="img-holder">
                    <div id="gameContainer"></div>
                    <div id="loader">
                        <div class="spinner"></div>
                        <div class="progress"><div class="full"></div></div>
                    </div>
                </div>
            </div>
            <div class="right-nav">
                <div class="right-block">

                    <button type="button" onclick="undoClick()" class="block undo button"><span class="icon undo"></span><span class="label">Reset</span></button>

                    <button type="button" onclick="collisionClick()" class="block collision button "><span class="icon collision"></span><span class="label">Collision</span></button>
                    <div class="block open-close isTranslate">
                        <a class="opener button" href="javascript: void(0);"><span class="icon translate"></span><span class="label">Translate</span></a>
                        <ul class="slide">
                            <li><button type="button" class="button" data-translate="x"><span class="icon translate-horizontal"></span></button></li>
                            <li><button type="button" class="button" data-translate="y"><span class="icon translate-vertical"></span></button></li>
                            <li><button type="button" class="button" data-translate="z"><span class="icon translate-angle"></span></button></li>
                        </ul>
                    </div>
                    <div class="block open-close isRotate">
                        <a class="opener button" href="javascript: void(0);"><span class="icon rotate"></span><span class="label">Rotate</label></a>
                        <ul class="slide">
                            <li><button type="button" class="button" data-rotate="x"><span class="icon rotate-horizontal"></span></button></li>
                            <li><button type="button" class="button" data-rotate="y"><span class="icon rotate-vertical"></span></button></li>
                            <li><button type="button" class="button" data-rotate="z"><span class="icon rotate-torque"></span></button></li>
                        </ul>
                    </div>

                    <div class="block-wrapper">
                    <div class="block open-close translate">
                        <a class="opener button" href="javascript: void(0);"><span class="icon translate"></span><span class="label">Translate</span></a>
                        <ul class="slide">
                            <li><button type="button" class="button" ><span class="icon translate-horizontal"></span></button></li>
                            <li><button type="button" class="button" ><span class="icon translate-vertical"></span></button></li>
                            <li><button type="button" class="button" ><span class="icon translate-angle"></span></button></li>
                        </ul>
                    </div>
                    <div class="block open-close rotate">
                        <a class="opener button" href="javascript: void(0);"><span class="icon rotate"></span><span class="label">Rotate</label></a>
                        <ul class="slide">
                            <li><button type="button" class="button"><span class="icon rotate-horizontal"></span></button></li>
                            <li><button type="button" class="button"><span class="icon rotate-vertical"></span></button></li>
                            <li><button type="button" class="button"><span class="icon rotate-torque"></span></button></li>
                        </ul>
                    </div>
                </div>
                <button type="button" onclick="afterSuperpositionClick()" class="block superposition button "><span class="icon superposition"></span><span class="label">Superposition</span></button>
                </div>
                <div class="logo-right active"><img src="<?php echo e(url("assets/backend/images/SLX-Studio-pro.png")); ?>" class="img-responsive"></div>
                
                <div class="treatment-details active">
                        <span>Treatment Details</span><br>
                        Case # <span class="caseno"><?php echo e($caseInfo["portal_case_number"]); ?></span><br>
                        Patient: <span class="patient"><?php echo e($caseInfo["patient_name"]); ?></span><br>
                        <div class="provider">Doctor:  <span><?php echo e($caseInfo["doctor_name"]); ?></span></div>
                        Estimated Aligners: <span class="steps"><?php echo e($steps); ?></span>
                    </div>
                <div class="bottom">
                    <button type="button" onclick="requestModifcation()" class="block button"><span class="icon submit"></span><span class="label">Save</span></button>
                </div>
                <div class="bottom-section">

                    <ul class="left-col">
                        <li>Buttons</li>
                        <li><button type="button" class="button cube" onclick="cubeClick()"><span class="icon cube"></span></button></li>
                        <li><button type="button" class="button sphere" onclick="sphereClick()"><span class="icon sphere"></span></button></li>
                        <li><button type="button" class="button" onclick="cylinderClick()"><span class="icon cylinder"></span></button></li>
                        <li><button type="button" class="button" onclick="triangleClick()"><span class="icon triangle"></span></button></li>
                        <li><button type="button" class="button" onclick="ovalClick()"><span class="icon oval"></span></button></li>
                    </ul>

                    <ul class="middle-col">
                        <li><button type="button" class="button before" onclick="intialStageClick()"><span class="icon before"></span><span class="label">Before</span></button></li>
                        <li><button type="button" class="button after" onclick="afterClick()"><span class="label">After</span><span class="icon after"></span></button></li>

                        <li class="modified"><button type="button" class="button modified" onclick="modifiedClick()"><span class="label">Modify</span><span class="icon modified"></span></button></li>

                    </ul>
                    <ul class="right-col">
                        <li>
                            <span class="stats">X <span class="number translateX">0.00</span></span>
                            <span class="stats">Y <span class="number translateY">0.00</span></span>
                            <span class="stats">Z <span class="number translateZ">0.00</span></span>
                        </li>
                        <li>
                            <span class="stats">X <span class="number rotateX">0.00</span></span>
                            <span class="stats">Y <span class="number rotateY">0.00</span></span>
                            <span class="stats">Z <span class="number rotateZ">0.00</span></span>
                        </li>
                    </ul>
                    <ul class="right-col1">
                        <li><button type="button" onclick="slitClick()" class="active"><span class="icon slit"></span></button></li>
                        <li><button type="button" onclick="cutoutClick()"><span class="icon cutout"></span></button></li>
                    </ul>
                </div>
            </div>

        </div>
    </div>
</div>

<div id="step-player">
    <div id="player-buttons">
        <span class="player-button play-backward" id="play-backward"><i class="fa fa-angle-double-left"></i></span>
        <span class="player-button play-start active" id="play-start"><i class="fa fa-play"></i></span>
        <span class="player-button play-pause" id="play-pause"><i class="fa fa-pause"></i></span>
        <span class="player-button play-forward" id="play-forward"><i class="fa fa-angle-double-right"></i></span>
    </div>
    <div class="slider" id="slider">
        <div class="slide-wrapper">
            <div class="slide-track"></div>
        </div>
    </div>

    </div>
<script type="text/javascript" src="<?php echo e(url("assets/preview/")); ?>/js/jquery-1.11.2.min.js"></script>
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<script src="<?php echo e(url("assets/preview/")); ?>/js/jquery-ui-slider-pips.js"></script>
<script type="text/javascript" src="<?php echo e(url("assets/preview/v4.3.0")); ?>/js/slider.js"></script>

<script type="text/javascript" src="<?php echo e(url("assets/preview/")); ?>/js/ckeditor.js"></script>

<script type="text/javascript" src="<?php echo e(url("assets/preview/v4.3.0")); ?>/Build/UnityLoader.js"></script>
<script type="text/javascript">
var baseUrl = '<?php echo e(url("/")); ?>';

var modificationData = { rotation: null, attachment: null, transforms: null, decalData: null };
var initialData = { rotation: null, attachment: null, transforms: null, decalData: null };
var modificationUrl = "<?php echo e($modificationURL); ?>";
var settings = { isEdit : false, viewType : 0 }
var treatmentStages = [];

var maxCountUpper = parseInt(<?php echo e($preview["aligners_upper"]); ?>);
var maxCountLower = parseInt(<?php echo e($preview["aligners_lower"]); ?>);
var maxvalue ='<?php echo  ($preview["aligners_upper"]>$preview["aligners_lower"])? $preview["aligners_upper"] : $preview["aligners_lower"] ; ?>';
    maxvalue = parseInt(maxvalue);


<?php if($modifiedData!=NULL): ?>
    initialData.rotation = '<?php echo $modifiedData->rotation; ?>';
    initialData.attachment = '<?php echo $modifiedData->attachment; ?>';
    initialData.transforms = '<?php echo $modifiedData->transforms; ?>';
<?php endif; ?>

<?php if(isset($modifiedData) && isset($modifiedData->decalData)): ?>
initialData.decalData = '<?php echo $modifiedData->decalData; ?>';
<?php endif; ?>

treatmentStages = '<?php echo $stages; ?>';

var teethRemoveData  = '<?php echo $deletedToothData; ?>'
var caseMeta = {id: "", patient: "", provider:"", steps:"<?php echo e($steps); ?>"};

</script>
<script type="text/javascript" src="<?php echo e(url("assets/preview")); ?>/v4.3.0/js/backend.js"></script>

<div id="popup" class="modal">
    <div class="wrapper">
        <span class="close">&times;</span>
        <div class="box"></div>
    </div>
</div>

<div id="popup3" class="modal">
    <div class="wrapper">
        <span class="close">&times;</span>

        <div class="editor-wrapper">
            <p><strong>Alert:</strong> Modification not saved. <br>Please click accept button for manufacturing and to modify treament setup please click submit modification button.</p>
        </div>
        <div class="modal-bottom">
        <a href="#" class="button save-note" onClick="Accept()"><i class="icon approve"></i> Accept</a> <a href="#" onClick="requestModification()" class="button cancel"><i class="icon modify"></i> Submit Modification</a>
        </div>
    </div>
</div>

</body>
</html>
<?php /**PATH /var/www/html/portal/Modules/Backend/Resources/views/preview/hybrid.blade.php ENDPATH**/ ?>